#
# spec file for package libtxc_dxtn
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           libtxc_dxtn
BuildRequires:  Mesa-devel
BuildRequires:  libtool
Url:            http://people.freedesktop.org/~cbrill/libtxc_dxtn/
License:        MIT
Group:          System/Libraries
Version:        1.0.1
Release:        1.1
Summary:        Open source implementation of the patent infridged S3 Texture Compression
Source0:        libtxc_dxtn-1.0.1.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Conflicts:       libtxc_dxtn_s2tc
       
%description
Lib txc-dxtn is an open source implementation of the patent infridged S3 Texture Compression (S3TC) for use with the open source OpenGL implementation MESA.

%package devel
Group:          Development/Libraries
Version:        1.0.1
Release:        1.1
Summary:        Open source implementation of the patent infridged S3 Texture Compression

%description devel
Lib txc-dxtn is an open source implementation of the patent infridged S3 Texture Compression (S3TC) for use with the open source OpenGL implementation MESA.

%prep
%setup -n libtxc_dxtn-1.0.1

%build
%configure
make

%install
make install DESTDIR=$RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT/%{_libdir}/libtxc_dxtn.la

%post -p /sbin/ldconfig  
   
%postun -p /sbin/ldconfig  

%files
%defattr(-,root,root)
%{_libdir}/libtxc_dxtn.so

%files devel
%defattr(-,root,root)
%{_includedir}/txc_dxtn.h

%changelog
* Wed Apr 17 2013 damianatorrpm@gmail.com
- Add Conflicts
- Add Group tag to devel package
* Tue Dec 18 2012 pontostroy@gmail.com
- initial packaging
